AWS: EB CLI Throws Exceptions VersionConflict and/or DistributionNotFound

When running EB CLI, do you run into the following error?

I ran into this error today. Apparently it was caused by installing AWS CLI after EB CLI:
pip install awscli
Reinstalling EB CLI solved the issue:
pip install awsebcli